PHP 5.6.29
Forum
  1. Forums
  2. CloudLinux and Control Panels
  3. CloudLinux and cPanel
  1. Scott Mutter
  2. Tuesday, 27 December 2016
  3.  Subscribe via email
PHP 5.6.29 released?
Rate this post:
  1. 27.12.2016 16:12:09
  2. # 1
Scott Mutter Accepted Answer
Posts: 60
Joined: 23.04.2014
0
Votes
Undo
Any plans to update PHP 5.6 to 5.6.29?  That was released December 8th.

PHP 7.0.14 was also released on December 8th.  Any plans to update to it?

Have I missed these updates?
  1. 03.01.2017 18:01:26
  2. # 2
Scott Mutter Accepted Answer
Posts: 60
Joined: 23.04.2014
0
Votes
Undo
Or perhaps I'm using the wrong PHP.

Perhaps I'm still using alt-php instead of the new ea-php?

How do you switch to ea-php from alt-php?  I've done the EA4 conversion.
  1. 03.01.2017 21:01:29
  2. # 3
Scott Mutter Accepted Answer
Posts: 60
Joined: 23.04.2014
0
Votes
Undo
It looks like alt-php56 - 5.6.29.2.el6 - never made it out of the testing repository.  Is that by design?  Or has this just been an oversight by someone?

Is nobody else using alt-php?  Has nobody else noticed this?

Am I missing something some where?
  1. 04.01.2017 07:01:55
  2. # 4
Bogdan Accepted Answer
Posts: 709
Joined: 26.06.2013
0
Votes
Undo
Hi,

We have just released to stable php 5.6-29 and 7.0.14 : https://www.cloudlinux.com/cloudlinux-os-blog/entry/alt-php-updated-1-13 .

Switching alt-php to ea-php is not trivial and was never automated. All should be done manually from user\'s cpanel.
  1. 04.01.2017 11:01:51
  2. # 5
Scott Mutter Accepted Answer
Posts: 60
Joined: 23.04.2014
0
Votes
Undo
I guess I'm having trouble wrapping my head around all of this.

alt-php is CloudLinux's PHP, correct?  It was available back with EasyApache3.  It is still available with EasyApache4, correct?  It also falls under the realm of PHP Selector

ea-php is cPanel's PHP.  It is only available in EasyApache4.  It falls under the realm of MultiPHP.

CloudLinux releases their own ea-php packages.  Correct?  I'm assuming these are based heavily on cPanel's ea-php but are patched with certain CloudLInux attributes.  The CloudLinux ea-php packages supersede cPanel's ea-php packages.  It's not possible to install cPanel's ea-php packages on a CloudLinux system.  Is all of this correct?

I was of the understanding that a server needed to either use alt-php (PHP Selector) OR ea-php (MultiPHP) not both.

I'm not seeing where ea-php can be selected in the user's cPanel.  But perhaps I'm missing something.

The only way I seem to be able to use ea-php for a user is if I disable their CageFS.  Is that correct?

Is alt-php going to continue to be updated?  Or is CloudLinux moving everything over to their ea-php system?  If alt-php is going to be discontinued, then it would seem that I am missing some way of having ea-php in use WITH CageFS.

I'm just trying to figure out how all of this works.  I'm sure I'm overthinking it a bit some where.  But I'm having trouble connecting the dots.
  1. 04.01.2017 15:01:11
  2. # 6
Bogdan Accepted Answer
Posts: 709
Joined: 26.06.2013
0
Votes
Undo
You can have both selectors enabled and available in cPanel. Our is called \'Select PHP Version\' while cpanels is \'MultiPHP Manager\'.

Our PHP Selector works only with alt-php* packages. Their MultiPHP Manager works only with ea-php* packages. Buth selectors works with CageFS enabled. However, please review explanation how it goes with different scenarious: http://docs.cloudlinux.com/index.html?php_selector_cpanel.html

If you do not see MultiPHP Manager - most probably it is disabled with WHM > Packages > Feature Manager . Or you just do not have different versions of ea-php packages installed.

The idea of Hardened PHP is that we will support alt-php packages for as long as someone needs them. There are no EOL even on PHP4.4 from Hardened PHP.
  1. 04.01.2017 16:01:14
  2. # 7
Scott Mutter Accepted Answer
Posts: 60
Joined: 23.04.2014
0
Votes
Undo
I'll have to look at the ea-php system under CageFS in more detail later.  I was not able to get it working when I tried it earlier this morning, although I didn't spend a lot of time on it.

It's really not as much of an issue, as long as alt-php is going to continue to be updated.  Was the delay of alt-php 5.6.29 reaching production from testing of about a month, was that just an oversight?

As long as you will continue to release alt-php versions of PHP 5.6, PHP 7.0, and PHP 7.1 then this shouldn't be an issue, I'll just continue to use alt-php.

I thought that perhaps you had stopped developing in-life PHP packages for alt-php and perhaps moved to ea-php for this.
  1. 05.01.2017 10:01:24
  2. # 8
Bogdan Accepted Answer
Posts: 709
Joined: 26.06.2013
0
Votes
Undo
That alt-php-5.6.29 is surely just an oversight. There are no plans to stop releasing alt-php , you are safe to use them.
  • Page :
  • 1


There are no replies made for this post yet.
Be one of the first to reply to this post!
Guest
Submit Your Response
Upload files or images for this discussion by clicking on the upload button below. Supports gif,jpg,png,zip,rar,pdf
• Insert • Remove Upload Files (Maximum File Size: 2 MB)
Captcha
To protect the site from bots and unauthorized scripts, we require that you enter the captcha codes below before posting your question.